summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-gfx/darktable/darktable-2.6.1.ebuild12
-rw-r--r--media-gfx/darktable/darktable-2.6.2.ebuild14
-rw-r--r--media-gfx/darktable/darktable-9999.ebuild12
3 files changed, 22 insertions, 16 deletions
diff --git a/media-gfx/darktable/darktable-2.6.1.ebuild b/media-gfx/darktable/darktable-2.6.1.ebuild
index 9aad79d520f..6a8e3830f4d 100644
--- a/media-gfx/darktable/darktable-2.6.1.ebuild
+++ b/media-gfx/darktable/darktable-2.6.1.ebuild
@@ -111,11 +111,13 @@ src_install() {
cmake-utils_src_install
use doc && dodoc "${DISTDIR}"/${PN}-usermanual-${DOC_PV}.pdf
- for lang in ${LANGS} ; do
- if ! use l10n_${lang}; then
- rm -r "${ED}"/usr/share/locale/${lang/-/_} || die
- fi
- done
+ if use nls ; then
+ for lang in ${LANGS} ; do
+ if ! use l10n_${lang}; then
+ rm -r "${ED}"/usr/share/locale/${lang/-/_} || die
+ fi
+ done
+ fi
if use pax_kernel && use opencl ; then
pax-mark Cm "${ED}"/usr/bin/${PN} || die
diff --git a/media-gfx/darktable/darktable-2.6.2.ebuild b/media-gfx/darktable/darktable-2.6.2.ebuild
index 16cb27650ab..48d249ae730 100644
--- a/media-gfx/darktable/darktable-2.6.2.ebuild
+++ b/media-gfx/darktable/darktable-2.6.2.ebuild
@@ -17,7 +17,7 @@ SRC_URI="https://github.com/darktable-org/${PN}/releases/download/release-${MY_P
LICENSE="GPL-3 CC-BY-3.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-LANGS=" ca de es fi fr hu ja nb nl pl pt-BR ru sl"
+LANGS=" ca cs de es fi fr hu ja nb nl pl pt-BR ru sl"
# TODO add lua once dev-lang/lua-5.2 is unmasked
IUSE="colord cups cpu_flags_x86_sse3 doc flickr geolocation gnome-keyring gphoto2 graphicsmagick jpeg2k kwallet
nls opencl openmp openexr pax_kernel webp
@@ -111,11 +111,13 @@ src_install() {
cmake-utils_src_install
use doc && dodoc "${DISTDIR}"/${PN}-usermanual-${DOC_PV}.pdf
- for lang in ${LANGS} ; do
- if ! use l10n_${lang}; then
- rm -r "${ED}"/usr/share/locale/${lang/-/_} || die
- fi
- done
+ if use nls ; then
+ for lang in ${LANGS} ; do
+ if ! use l10n_${lang}; then
+ rm -r "${ED}"/usr/share/locale/${lang/-/_} || die
+ fi
+ done
+ fi
if use pax_kernel && use opencl ; then
pax-mark Cm "${ED}"/usr/bin/${PN} || die
diff --git a/media-gfx/darktable/darktable-9999.ebuild b/media-gfx/darktable/darktable-9999.ebuild
index 891596c86e8..6357db9016d 100644
--- a/media-gfx/darktable/darktable-9999.ebuild
+++ b/media-gfx/darktable/darktable-9999.ebuild
@@ -103,11 +103,13 @@ src_install() {
cmake-utils_src_install
use doc && dodoc "${DISTDIR}"/${PN}-usermanual-${DOC_PV}.pdf
- for lang in ${LANGS} ; do
- if ! use l10n_${lang}; then
- rm -r "${ED}"/usr/share/locale/${lang/-/_} || die
- fi
- done
+ if use nls ; then
+ for lang in ${LANGS} ; do
+ if ! use l10n_${lang}; then
+ rm -r "${ED}"/usr/share/locale/${lang/-/_} || die
+ fi
+ done
+ fi
if use pax_kernel && use opencl ; then
pax-mark Cm "${ED}"/usr/bin/${PN} || die